Bug 451815 - Sometimes application icons appear detached in GNOME
Sometimes application icons appear detached in GNOME
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-panel (Show other bugs)
9
All Linux
low Severity low
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-17 11:47 EDT by Alexey Torkhov
Modified: 2009-07-14 12:22 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 12:22:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alexey Torkhov 2008-06-17 11:47:57 EDT
Description of problem:
Sometimes applications icons that should appear in panel are showing in its own
detached windows. In my case, I'm starting pidgin,liferea and
gnome-typing-monitor at session start-up and it happens with their icons.
If it happen, then all subsequent icons will appear same way detached. Example,
if liferea will be restarted then its icon also will not go to panel.
I'm guessing something is crashing, but what?

Version-Release number of selected component (if applicable):
gnome-panel-2.22.2-1.fc9.i386

How reproducible:
Sometimes, not always, but regularly.

Steps to Reproduce:
1. Have some application saved in session that have icon in panel
(pidgin/liferea/etc).
2. Login to GNOME.
  
Actual results:
Sometimes, their icons are detached.

Expected results:
All icons in panel.

Additional info:
This is happening since upgrade from F8.
Comment 1 Alexey Radkov 2009-01-09 05:14:18 EST
I confirm the bug. I have Fedora 10 on AMD Athlon x2 5200 and NVidia GeForce 8800 GT. The issues appeared after I configured TV-Out screen on my graphics card.

My xorg.conf "ServerLayout" section:

Section "ServerLayout"
    Identifier     "Layout0"
    Screen      0  "Screen0" 0 0
    Screen      1  "Screen1" LeftOf "Screen0"
    InputDevice    "Keyboard0" "CoreKeyboard"
    InputDevice    "Mouse0" "CorePointer"
EndSection

If tv screen (Screen 1) is LeftOf monitor (Screen 0) icons get detached every new X session, if it is RightOf - randomly or rather seldom, but I did not analyze this dependency in details.
Comment 2 Andy Duplain 2009-03-31 10:53:28 EDT
I also have this problem on Fedora 10 x86_64 on a Dell Latitude D630 laptop (NVidia Quadro NVS 135M with 180.22 driver) after configuring an attached monitor as a separate screen, rather than TwinView.
Comment 3 Bug Zapper 2009-06-09 21:40:01 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bug Zapper 2009-07-14 12:22:07 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.